function Lab3FrequencyResponse(filename)
% This program will create a Fast Fourier Transform for the three encoders
    
if nargin==0, %no file specified 
    [Data,FN] = Lab0GetData(0);
else
    [Data,FN] = Lab0GetData(filename);
end

%Create the plot
       XData = Data.E{1};     %x
       YData = Data.E{2};     %y
       ZData = Data.E{3};     %z
       TData = Data.T;

       [X,   ~     ]=FN.FFT(TData,XData);
       [Y,   ~     ]=FN.FFT(TData,YData);
       [Z,frequency]=FN.FFT(TData,ZData);
       
        range=1:length(frequency);
       
        plot(frequency,[abs(X),abs(Y),abs(Z)])
        
        [P(1).x,P(1).y]=FN.Peak(frequency,X);
        [P(2).x,P(2).y]=FN.Peak(frequency,Y);
        [P(3).x,P(3).y]=FN.Peak(frequency,Z);
        
       %for i=1:3
       % if P(i).x~=0,
       %     str=sprintf('\leftarrow Peak of %2.2f cm at %2.2f Hz',P(i).y,P(i).x);
       %     text(P(i).x,P(i).y,str);
       % end
       %end
        
        legend({'Encoder 1','Encoder 2','Encoder 3'})
        
        xlabel('Frequency [Hz]');
        ylabel('Encoder Amplitude [cm]');
                   
        fprintf('This program has finished executing\n\n')
    
        xlim([0 10])
end
    
    
    
    
    